Package Details: voxatron 0.3.4-1

Git Clone URL: https://aur.archlinux.org/voxatron.git (read-only)
Package Base: voxatron
Description: Voxatron is an action/adventure game set in a world completely made of tiny cubes that can be blasted to smithereens
Upstream URL: http://www.lexaloffle.com/voxatron.php
Licenses: custom: "commercial"
Groups: games, humblevoxatronbundle
Submitter: JazzplayerL9
Maintainer: jose1711
Last Packager: jose1711
Votes: 23
Popularity: 0.000020
First Submitted: 2011-10-31 21:05
Last Updated: 2016-01-19 21:28

Latest Comments

TomBoshoven commented on 2016-01-18 22:30

For 64-bits, the md5 sums are in the wrong order.
This is what it should be:

md5sums_x86_64=('f7bdba0edf8213cb5c7c9ffe638c5333'
'184c021b52d3a9c8ac5f49435b4b93e0'
'bb84f6fcd7cdb18eb417173a6f58e00e')

Also, the package looks very messy like this. I think it's better to just remove the commented lines. If we ever want them back I guess we just use git to accomplish that.

jose1711 commented on 2016-01-18 15:33

not sure if hib-dlagent is working for anyone (not working for me) so i'll leave it as is. please test 64bit version as currently i am on i686.

ErwinJunge commented on 2014-11-10 22:40

0.3.2 is out :)

parashep commented on 2014-10-15 22:17

can't find anything about the actual release of 0.3.0 but it seems to be out

jose1711 commented on 2014-07-05 14:48

adopted, updated and changed to use hib dlagent

Anonymous comment on 2013-07-24 10:56

I am not using Arch anymore, so feel free to adopt my packages.

ZDragon commented on 2013-06-19 14:57

I fixed it. The problem was using the build() method in an unintended way which is (I think) now deprecated. Updated PKGBUILD can be found here:

http://pastebin.com/pCJ1qSpt

Also, any chance to see support for hib-dlagent? Might make maintaining this package a bit easier, too. ;)

ZDragon commented on 2013-05-10 16:20

For some reason this PKGBUILD makes makepkg create the pkg/ directory with 000 permissions - and build subsequently fails:

==> Starting build()...
install: cannot create directory ‘/tmp/yaourt-tmp-marlin/aur-voxatron/pkg’: Permission denied
==> ERROR: A failure occurred in build().
Aborting...

TomBoshoven commented on 2013-01-19 16:18

Yup, it's working now. Thanks!

swiftgeek commented on 2013-01-18 15:29

works now

JazzplayerL9 commented on 2013-01-18 15:28

@TomBoshoven,

Let me know if that update to the PKGBUILD works for you. I tried it and it worked for me.

TomBoshoven commented on 2013-01-18 13:50

When I try building this package, the tarball's contents seem to be sent to my terminal. After that, hash check fails, so I think the downloader is not working.

I'm using a key, not a login.

JazzplayerL9 commented on 2013-01-17 15:51

Sorry for the delay on update...was distro-hopping. Updated to 0.2.3!

backfist commented on 2013-01-10 10:40

Ive flagged it out of date, because there is a new version available now.

swiftgeek commented on 2013-01-09 21:48

Nope, it seems that it was just a temporary issue (it works now)

backfist commented on 2013-01-09 21:29

It does work for me with PA. Maybe you need the alsa pulse audio package?

backfist commented on 2013-01-09 21:29

It works for me, yes.

swiftgeek commented on 2012-12-19 21:01

Is sound working for sb with PA on x86_64?

JazzplayerL9 commented on 2012-08-31 15:00

Package download should be fixed for people that haven't converted their keys to the new login method.

ZDragon commented on 2012-08-30 09:18

Okay, I just sent it to you, trusting that you won't steal it. ;)

JazzplayerL9 commented on 2012-08-30 01:08

@ZDragon,

That makes sense. So, here's the problem I have...I don't have a key that works anymore for the humble voxatron bundle because I made the switch to a login page. If you want to contact me via email since you have a key that still works the other way, I can work with you to fix the download problem. The email address for this login is still valid and I have a PGP key if you want to use it. Downloading the game file and putting it in the directory with the PKGBUILD is also an option until things get resolved.

ZDragon commented on 2012-08-29 17:11

I just confirmed that I have not created such a login, and from a webbrowser, accessing http://www.humblebundle.com/downloads?key=${_humblevoxatronkey} works just fine. So currently the ${_humblevoxatronkey} variable method is not working anymore at all with this PKGBUILD.

I'm afraid of creating a login because not all of the HIB game AUR packages have switched to the mail/password authentication method, and so if I make this switch it will not be possible anymore for them to autodownload. So it would be great if you could fix this in the PKGBUILD so that it works for people using the older method.

JazzplayerL9 commented on 2012-08-28 15:47

@ZDragon,

The reason the PKGBUILD isn't working is because you may have created a login for www.humblebundle.com. Accessing http://www.humblebundle.com/downloads?key=${_humblevoxatronkey} won't work for you anymore because the website will now say the key page has been claimed by a login. All of the downloads can now be accessed using login/password for a single page now. That is to say, you should put these variables in your .bashrc:

export _humbleemail='<your HB email>'
export _humblepassword='<your HB password>'

The ${_humblevoxatronkey} variable is only around now for people who haven't created a humble bundle login/password and still have "unclaimed" key pages.

Hope that helps! Sorry for the delay in response...I've been pretty busy.

ZDragon commented on 2012-08-28 11:25

The new PKGBUILD doesn't work for me (on x64):

==> Retrieving Sources...
-> Downloading voxatron_0.2.1_i386.tar.gz...
curl: (3) <url> malformed
-> Downloading voxatron_0.2.1_i386.tar.gz...
Warning: /tmp/url:1: warning: 'var' had unsupported trailing garbage
curl: no URL specified!
curl: try 'curl --help' or 'curl --manual' for more information
==> ERROR: Failure while downloading voxatron_0.2.1_i386.tar.gz

JazzplayerL9 commented on 2012-08-10 18:43

0.2.1 Update. Sorry this took so long, it slipped my mind when things got busy. Enjoy!

neuromancer85 commented on 2012-07-28 11:54

0.2.1 is out since 2012-07-24
md5: f3b90af2afd772cb2b8bad5d38c23165

JazzplayerL9 commented on 2012-04-22 16:36

0.2.0-1,

Fixed the wget issue and updated package.

Duxon commented on 2012-04-22 09:31

Was updated to 0.2.0 on 19th April 2012. Also, wget follows missing link to the binaries.

JazzplayerL9 commented on 2012-02-10 22:28

0.1.8-2,

Uses the bundled lexaloffle-voxatron.png icon instead of the one I was using.

JazzplayerL9 commented on 2012-02-02 14:29

0.1.8-1,

Just a versioning update.

JazzplayerL9 commented on 2011-11-12 19:48

0.1.6-2

Added libpulse (lib32-libpulse for 64) as an optional dependency for sound. Both sound libraries are optional dependencies since the operation of the game isn't affected by lack of sound. Just pick one and see if it works for you...report back if you still have sound problems using either of the optional dependencies.

Anonymous comment on 2011-11-12 11:46

I had to had lib32-libpulse to have sound.

Anonymous comment on 2011-11-12 08:01

It worked fine for me even with the bundled libSDL. Strange.

stqn commented on 2011-11-12 02:58

That's right: I just removed lib32-libpulse and the game still launches (with sound). The only explanation that I can see is that the libSDL included with the game requires libpulse, so now that we're not installing that library, libpulse isn't needed anymore. (I'm using ALSA too.)

Anonymous comment on 2011-11-12 02:06

(But note that I'm using ALSA; maybe it only depends on libpulse if it detects you're using PulseAudio...)

Anonymous comment on 2011-11-12 02:05

Sound works for me on x86-64 without lib32-libpulse.

Anonymous comment on 2011-11-11 21:30

I think lib32-libpulse should be added as a dependency for x86_64, else the sound won't work.

JazzplayerL9 commented on 2011-11-11 16:07

0.1.6-1

removes libSDL-1.2.so.0 from the package directory.

mutterschiff commented on 2011-11-11 04:52

removing /opt/voxatron/libSDL-1.2.so.0 fixes the sound on my i686 maschine too.

the new build is 0.1.6 btw, so you need to modify the package in oder to work

stqn commented on 2011-11-10 23:42

Yes! Atterratio is right: I had to remove /opt/voxatron/libSDL-1.2.so.0 to get the sound to work. (x86-64)

Atterratio commented on 2011-11-10 23:21

I think it should be removed libSDL-1.2.so.0 with this library, I have no sound. Without it, use system and everything is fine.

Atterratio commented on 2011-11-10 23:06

access rights are different from the directory opt / filesystem: 755 package: 777

I's BAD!

stqn commented on 2011-11-10 22:43

Thanks for the package. lib32-libpulse is required to launch the game on 64 bit. And there's no sound here... (I have already installed lib32-alsa-lib and lib32-alsa-plugins.)

conan commented on 2011-11-10 13:15

Maybe this kind of software should be marked somehow (besides stating its license). This package wont work if you don't buy the game first.

==> Starting build()...
==> You need a full copy of this game in order to install it

ZDragon commented on 2011-11-08 15:29

Thank you. I modified your PKGBUILD to create a package for "Blocks that matter". Just wanted to give you credit for it.
https://aur.archlinux.org/packages.php?ID=53836

Atterratio commented on 2011-11-06 11:14

GOOD!

JazzplayerL9 commented on 2011-11-03 02:45

0.1.4-1

New version adds more control options and a bunch of other stuff.

Anonymous comment on 2011-11-03 02:34

They updated the version to 0.1.4 on the Humble Bundle website. Please update PKGBUILD. ^_^

pkgver=0.1.4

JazzplayerL9 commented on 2011-11-02 04:17

0.1.3-6

You can add:

export _humblevoxatronkey='<Your key here>'

to .bashrc if you want automated download ability. Hopefully this will happen with all the Humble Bundle packages.

cookiecaper commented on 2011-11-02 02:04

Hello. Can you please use the code from earlier HIB PKGBUILDs that downloads the file automatically based on an environment variable that contains a key?

JazzplayerL9 commented on 2011-11-01 15:37

0.1.3-5

alsa-lib and lib32-alsa-lib are optional dependencies...but recommended!

JazzplayerL9 commented on 2011-11-01 15:29

0.1.3-4

Added alsa-lib and lib32-alsa-lib dependencies...namcap failed to see those.

Anonymous comment on 2011-11-01 06:50

Ah, there's a missing dependency on lib32-alsa-lib (and presumably alsa-lib on x86-64); with that, the sound works.

Anonymous comment on 2011-11-01 06:20

Thanks! Now it works, except for audio, but I suspect that's an unrelated problem.

JazzplayerL9 commented on 2011-11-01 02:03

Bumped to 0.1.3-3

@ehird,

See if adding the lib32-libgl and lib32-sdl libraries fixes 64-bit in this new PKGBUILD. I don't have 64-bit to test on at the moment, but I will tomorrow.

Anonymous comment on 2011-11-01 01:11

Doesn't work on 64-bit; I think you need to depend on the 32-bit versions of the libraries, since even the 64-bit .deb contains 32-bit binaries and depends on the Debian ia32-libs package.

dcelasun commented on 2011-10-31 22:37

Seems fine to me. Nice job.

JazzplayerL9 commented on 2011-10-31 22:18

Bumped to 0.1.3-2

Added the icon, fixed the || return 1's, removed $startdir, and added sdk and libgl as dependencies. Also removed the makedepends array! Let me know if you see anything else I could improve. Thanks a bunch for the help.

dcelasun commented on 2011-10-31 21:32

A quick namcap suggests libgl and sdl should be dependencies.

dcelasun commented on 2011-10-31 21:29

Yes, I have a few notes as well:

- You should include the game logo in the source and use it in the .desktop file.
- Remove the "return 1" statements as they are no longer needed.
- $startdir is a bad idea, stick to "$srcdir" and "$pkgdir".
- Always include the quotes around $srcdir and $pkgdir as there might be spaces in the path.
- Remove the makedepends array.
- Try to find the actual dependencies for the game and include them in depends. Namcap can help: https://wiki.archlinux.org/index.php/Namcap

Otherwise, good work.

td123 commented on 2011-10-31 21:10

to have cleaner packages in the future, please remove || return 1 since those aren't needed anymore and don't ever, ever use $startdir.

JazzplayerL9 commented on 2011-10-31 21:09

No problem...let me know how it works for you. I'm still new at this package building thing.

dcelasun commented on 2011-10-31 21:08

Damn this was fast! Thanks for the package.